package com.cyksj.mapper.shop;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cyksj.model.dto.YhShopSkuDownInfo;
import com.cyksj.model.entity.YhShop;
import com.cyksj.model.entity.YhShopDistributeMoneyApply;
import com.cyksj.model.views.YhShopDistributeView;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/*
 *项目名: yhlxj
 *文件名: YhShopMapper
 *创建者: JavaZou
 *创建时间:2023/9/14 16:58
 */
public interface YhShopMapper extends BaseMapper<YhShop> {
	String selectSoldMaxGoods(Long userId);

	YhShopDistributeView getApplyDetailByUserId(Long userId);

	Map<String, Object> selectYhShopDetail(@Param("startDate") Date startDate, @Param("endDate") Date endDate);

	BigDecimal selectYhShopTakeMoney(@Param("startDate") Date startDate, @Param("endDate") Date endDate);

	Map<String, Object> selectYhShopApplyMoney(@Param("startDate") Date startDate, @Param("endDate") Date endDate);

	YhShopDistributeMoneyApply selectRelationBusiness(Long userId);

	List<YhShopSkuDownInfo> getYhShopSkuSysStatusDownInfo(long userId);

	List<Long> getGoodsIdsByShop(Long yhsId);
}
